Name:           python-editdistance
Version:        0.6.2
Release:        %autorelease
Summary:        Fast implementation of the edit distance (Levenshtein distance)

# SPDX
License:        MIT
URL:            https://github.com/aflc/editdistance
Source0:        %{url}/archive/v%{version}/editdistance-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  gcc-c++

BuildRequires:  %{py3_dist pytest}

%global _description %{expand:
Fast implementation of the edit distance (Levenshtein distance).

This library simply implements Levenshtein distance with C++ and Cython.

The algorithm used in this library is proposed by Heikki Hyyrö,
"Explaining and extending the bit-parallel approximate string matching
algorithm of Myers", (2001).}

%description %{_description}


%package -n python3-editdistance
Summary:        %{summary}

%description -n python3-editdistance %{_description}


%prep
%autosetup -n editdistance-%{version}

# Remove files generated by Cython to regenerate them; note that
# editdistance/_editdistance.cpp is not generated code. As of 0.6.2, generated
# sources are not committed to git and are therefore not included in the GitHub
# source archives, so we retain this line only as a precaution.
grep -rl '/\* Generated by Cython' | xargs -r rm -v


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files editdistance


%check
%pytest


%files -n python3-editdistance -f %{pyproject_files}
%doc README.rst


%changelog
%autochangelog
